About the Rhino pop-up window and the drawing area problem


#1

I would like to ask Rhino to run “Loft” such a window of the command, the drawing area can only view cannot choose objects or other action. The function and how to make it come true.


#2

So you got the curve ID’s already stored somewhere for loft but you still want the popup shown like you normally run the loft command?

Your question is still a bit vague.


#3

In addition;
I mean, for example, the implementation of “loft” after this command, it will pop up a parameter setting window. This time, all the objects in the drawing area are not editable, can only view, rotation or zooming.
On this issue, what method can like this pop up window all the objects are not editable, can only view.


#4

So you want to edit the objects while the form is popupped?


#5

I mean that I want my drawing area just want to be read only(rotate or amplify ) , do not allow others to edit, how to make it ?


#6

Oke now I understand.
Should the loft also be saved or is it just temporarily?

If so, you can use a DisplayConduit. If not, then I only know Lock but thats easily unlocked.


#7

temporarily !


#8

oke :slight_smile:

Imports Rhino.Display
Imports Rhino.Geometry
Imports System.Drawing
Imports Rhino

Public Class PatchConduitLeft

    Inherits DisplayConduit

    Private _bbox As BoundingBox
    Dim 'Brep as Geometry.Brep = Br.Brep             'Defined somewhere else

    Protected Overrides Sub CalculateBoundingBox(ByVal e As CalculateBoundingBoxEventArgs)
        MyBase.CalculateBoundingBox(e)
        e.BoundingBox.Union(_bbox)
    End Sub

    Public Sub New()
                   _bbox = Brep.GetBoundingBox(True)
    End Sub

    Protected Overrides Sub PostDrawObjects(ByVal e As DrawEventArgs)
            e.Display.PushCullFaceMode(CullFaceMode.DrawFrontAndBack)
            MyBase.PostDrawObjects(e)
            Dim vp = e.Display.Viewport
            e.Display.EnableLighting(True)
            e.Display.DrawBrepShaded(Brep, Mat)
        End If
    End Sub

End Class

This is an example of a DisplayConduit. Brep is only shown! It is not editable.
To activate this you must decalere it somewhere like

Dim DisplConduit as new PatchConduitLeft
DisplConduit.enable

More examples and explanation can be found on the forum. Just search for DisplayConduit.
Or here: http://wiki.mcneel.com/developer/rhinocommonsamples/drawoverlay


#9

Thank you very much, I try